# numberwords.py
# --------------
# By MWC Contributors
# Functions to print out a verbal representation of an integer.

MAXIMUM = 1000000
DIGIT_NAMES = ["zero", "one", "two", "three", "four", "five", "six", "seven", "eight", "nine"]
TWEEN_AND_TEEN_NAMES = ["ten", "eleven", "twelve", "thirteen", "fourteen", "fifteen", "sixteen", "seventeen", "eighteen", "nineteen"]
TENS_NAMES = ["", "ten", "twenty", "thirty", "forty", "fifty", "sixty", "seventy", "eighty", "ninety"]   

def check_number_in_range(number, minimum, maximum):
    if minimum < number & number < maximum:
        return True
    else:
        return False

def int_under_1000000_to_str(number):
    thousands, hundreds = divide_with_remainder(number, 1000)
    if number < 1000:
        return int_under_1000_to_str(number)
    elif number % 1000 == 0: 
        return int_under_1000_to_str(thousands) + " thousand"
    else:
        name =  int_under_1000_to_str(thousands) + " thousand, " + int_under_1000_to_str(hundreds)
        return name
        
def int_under_1000_to_str(number):
    hundreds, tens = divide_with_remainder(number, 100)
    if number < 100:
        return int_under_100_to_str(number)
    elif number % 100 == 0:
        return DIGIT_NAMES[hundreds] + " hundred"
    else:
        return DIGIT_NAMES[hundreds] + " hundred and " + int_under_100_to_str(tens)
        


def int_under_100_to_str(number):
    tens, ones = divide_with_remainder(number, 10)
    if number < 20:
        return int_under_20_to_str(number)
    elif number % 10 != 0:
        return TENS_NAMES[tens] + "-" + DIGIT_NAMES[ones]
    else: 
        return TENS_NAMES[tens]

def int_under_20_to_str(number):
    tens, ones = divide_with_remainder(number, 10)
    if number < 10:
        return int_under_10_to_str(number)
    else:
        return TWEEN_AND_TEEN_NAMES[ones]

def int_under_10_to_str(number):
    return DIGIT_NAMES[number]
   
def divide_with_remainder(dividend, divisor):
    """Divides one number by another, using whole-number division. 
    Returns the quotient and the remainder. 
    """
    quotient = dividend // divisor
    remainder = dividend % divisor
    return quotient, remainder
